Experimental apps not visible

Hi,

I’m new here and new to nextcloud.

I have a fresh install of nextcloud 10.0.1 running on ubuntu server 14.04. I want to install Collaboraonline and some other expirimental apps.

The problem is is that experimental Apps don’t show up. I don’t see any categories or anything.

In my config.php I have the experimental appstore enabled

‘appstore.experimental.enabled’ => true,

Anyone had this same issue? If so, how did you fix it.

LThe OC appstore seems to have an issue right now.
Certificate seems to broken after their switch to Letsencrypt.
You will see curl issues in your logfiles and you only see apps which are already enabled…

Ah… that explains a lot! Thanks!

Applying this, you will see categories and experimental apps again, but some app installations/updates will throw SSL errors and also the nextcloud log will show certain error messages.

I did this and I can see categories and apps again. Let’s hope the Collabora app will be available again soon.

Just curious: Do you see the “experimental” category and the contacts app? I’m just asking, since I had roughly the same happening as you, but those two things still don’t show for me.

Edit: So, without having changed anything, the contacs app now shows under the office category and I can enable it. Unfortunately, I can’t say why that is, I didn’t do anything.

hi guys, i’m running 11.0.1 - fresh install and I’m unable to see the option to enable experimental apps. I have both items below in my config.php but still don’t even see the option to enable the feature on the UI as the admin

‘appstore.experimental.enabled’ => true,
‘appstoreurl’ => ‘https://apps.nextcloud.com/api/v0’,

any ideas on what else might be wrong?

The new appstore does not have experimental anymore. Everyone can publish (signed) apps

The old principle of every app (&update) having to be reviewed is obsolete

Yeah the “experimental” option does not have any influence anymore, I also got hat some days ago. But 'appstoreurl' => 'https://apps.nextcloud.com/api/v0', has and it links to the lets say obsolete beta version of the nextcloud app store. This setting was necessary for NC v10 for a short time, when NC switched to it’s own store. “v1” is the current one, but the best way to get sure is to erase that line completely to always use the standard app store. This option is now only necessary if you want to use an own appstore for your nextcloud instance, together with the ‘appstoreenabled’ => true, option, which is also only useful to enable an own appstore.

In short: If you want to use the standard nextcloud appstore, erase ALL lines in config.php that contain “appstore” ;).

In fact the appstoreurl is not evaluated at all anymore AFAIK. The URLs are hardcoded. So both config options are ignored in 11 and are no cause for issues :slight_smile:

The v0 API is still usable for 9 and 10 but once they run out of support my plan is to remove the API entirely (unless there is a really good reason to not do that).

PS: reason is probably something similar as described in another thread which links to https://www.c-rieger.de/known-nextcloud-issues-and-fixes/#eins

TL;DR broken and orphaned certs in the files_external app No App-Store shown

Similar issue here?!

Check the log for
GuzzleHttp\Exception\RequestException: cURL error 77: error setting certificate verify locations: CAfile: /var/nc_data/files_external/rootcerts.crt CApath: /etc/ssl/certs

If found, just move or delete the rootcerts.crt
(/var/ data-directory / files_external/rootcerts.crt )
then restart nginx/apache and refresh your browser.